# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Hash-Util-FieldHash-Compat
Version:	0.11
Release:	22.%{__distinit}%{__distvers}
Summary:	Use Hash::Util::FieldHash or ties, depending on availability
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Hash-Util-FieldHash-Compat
Source0:	https://cpan.metacpan.org/modules/by-module/Hash/Hash-Util-FieldHash-Compat-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(parent)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Tie::Hash)
BuildRequires:	perl(Tie::RefHash)
BuildRequires:	perl(Tie::RefHash::Weak) >= 0.08
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(CPAN::Meta) >= 2.120900
BuildRequires:	perl(CPAN::Meta::Prereqs)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test::More) >= 0.88
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

# We actually have this everywhere, so use it
BuildRequires:	perl(Hash::Util::FieldHash)
Requires:	perl(Hash::Util::FieldHash)

%description
Under older perls this module provides a drop in compatible API to
Hash::Util::FieldHash using perltie. When Hash::Util::FieldHash is
available, it will use that instead.

%prep
%setup -q -n Hash-Util-FieldHash-Compat-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENCE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/Hash/
%{_mandir}/man3/Hash::Util::FieldHash::Compat.3*
%{_mandir}/man3/Hash::Util::FieldHash::Compat::Heavy.3*

%changelog
* Sun Apr 23 2023 Paul Howarth <paul@city-fan.org> - 0.11-22
- Use SPDX-format license tag
- Use %%license unconditionally

* Sun Mar  8 2020 Paul Howarth <paul@city-fan.org> - 0.11-13
- BR:/R: perl(Hash::Util::FieldHash) unconditionally since it's always
  available

* Mon Jun 10 2019 Paul Howarth <paul@city-fan.org> - 0.11-9
- Modernize spec
  - Switch upstream from search.cpan.org to metacpan.org
  - BR: perl-generators unconditionally
  - BR: perl-interpreter rather than perl
  - Don't explicitly clean buildroot in %%install section
  - Drop explicit %%clean section
  - Drop support for building with Test::More < 0.88
  - Drop legacy BuildRoot: and Group: tags

* Tue Jun 14 2016 Paul Howarth <paul@city-fan.org> - 0.11-1
- Update to 0.11
  - Be gentle to older toolchains by avoiding the use of Module::Metadata in
    configure-requires (CPAN RT#115310)
- BR: perl-generators where available
- Simplify find command using -delete
- Update patch to avoid the need for Test::More 0.88

* Tue Jan 26 2016 Paul Howarth <paul@city-fan.org> - 0.10-2
- Drop provides filter, no longer needed

* Mon Sep 28 2015 Paul Howarth <paul@city-fan.org> - 0.10-1
- Update to 0.10
  - Fix invalid prereq specification for Heavy implementation (changed in 0.09)

* Mon Aug 17 2015 Paul Howarth <paul@city-fan.org> - 0.09-1
- Update to 0.09
  - Update some distribution tooling
- Classify buildreqs by usage

* Thu Sep 11 2014 Paul Howarth <paul@city-fan.org> - 0.08-2
- Use %%license where possible

* Fri Jul 18 2014 Paul Howarth <paul@city-fan.org> - 0.08-1
- Update to 0.08
  - Add missing prereq declarations needed for perl 5.6 (CPAN RT#97000)
- Update patch to avoid the need for Test::More 0.88

* Thu Mar 20 2014 Paul Howarth <paul@city-fan.org> - 0.07-1
- Update to 0.07
  - Better fix for misleading 'provides' metadata
  - Now skipping back-compat tests on newer perls; this test will now run for
    authors only
- Update patch to avoid the need for Test::More 0.88

* Thu Mar 20 2014 Paul Howarth <paul@city-fan.org> - 0.06-1
- Update to 0.06
  - Fix misleading 'provides' metadata (added in 0.05) that may confuse some
    tools
- BR: perl(Devel::Hide) for new test
- Update patch to avoid the need for Test::More 0.88

* Sun Feb 16 2014 Paul Howarth <paul@city-fan.org> - 0.05-1
- Update to 0.05
  - Convert to Dist::Zilla, with more metadata
- Package upstream CONTRIBUTING, LICENSE and README files
- Add patch to avoid the need for Test::More 0.88

* Sun Feb  2 2014 Paul Howarth <paul@city-fan.org> - 0.04-1
- Update to 0.04
  - Localize $SIG{__DIE__} before an eval (CPAN RT#83667)
- This release by ETHER -> update source URL

* Fri Jul 13 2012 Paul Howarth <paul@city-fan.org> - 0.03-12
- BR: perl(constant) and perl(Test::More)
- Don't need to remove empty directories from the buildroot
- Don't need to define %%{perl_vendorlib}
- Use DESTDIR rather than PERL_INSTALL_ROOT
- Drop %%defattr, redundant since rpm 4.4

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> - 0.03-9
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed May  4 2011 Paul Howarth <paul@city-fan.org> - 0.03-8
- Import from Fedora

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 17 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.03-6
- Rebuild to fix problems with vendorarch/lib (#661697)

* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.03-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.03-4
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 29 2009 Allisson Azevedo <allisson@gmail.com> - 0.03-1
- Initial rpm release
